package com.qaup.collision.common.model;

public class PositionRecord {
    private final GeoPosition position;
    private final long timestamp; // 时间戳（毫秒）

    public PositionRecord(GeoPosition position, long timestamp) {
        this.position = position;
        this.timestamp = timestamp;
    }

    // Getters
    public GeoPosition getPosition() { return position; }
    public long getTimestamp() { return timestamp; }
}
